#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		tommath
#-----------------------------------------------------------------------------
Name		:	libtommath
Version		:	1.1.0
Release		:	17.0.10.rel%{?dist}
Summary		:	A theoretic multiple-precision integer (MPI) library written entirely in C
Group		:	Applications/Internet

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	https://github.com/libtom/libtommath/releases

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
LibTomMath is a free open source portable number theoretic
multiple-precision integer library written entirely in C. (phew!).
The library is designed to provide a simple to work with API
that provides fairly efficient routines that build out of the
box without configuration.

The library builds out of the box with GCC 2.95 [and up] as well
as Visual C++ v6.00 [with SP5] without configuration. The source
code is arranged to make it easy to dive into a particular area
very quickly. The code is also littered with comments [This is one
of the on going goals] that help explain the algorithms and their
implementations. Ideally the code will serve as an educational tool
in the future for CS students studying number theory.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc LICENSE README.md
%{_includedir}/%{sname}*.h
%{_libdir}/%{name}.so*
%{_libdir}/pkgconfig/%{name}.pc

%post -p /usr/sbin/ldconfig

%postun -p /usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build
#nothing to do

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	-f makefile.shared				\
	PREFIX=%{_prefix}				\
	LIBPATH=%{_libdir}				\
	DESTDIR=%{buildroot}				\
	install


#To remove libtool library and static library
find 								\
	%{buildroot}%{_libdir}					\
	\(							\
		 -name \*.la					\
		 -o						\
		 -name \*.a					\
	 \)							\
	-delete

#-----------------------------------------------------------------------------
%changelog
